libdvbv5: Satellite Equipment Control

libdvbv5 1.30.1 Library to work with Digital TV devices on Linux

Files | Data Structures | Enumerations | Functions
Satellite Equipment Control

## Files
file | dvb-sat.h
| Provides interfaces to deal with DVB Satellite systems.

## Data Structures
struct | dvb_sat_lnb
| Stores the information of a LNBf. More...

## Enumerations
enum | dvb_sat_polarization { POLARIZATION_OFF , POLARIZATION_H , POLARIZATION_V , POLARIZATION_L , POLARIZATION_R }
| Polarization types for Satellite systems. More...

## Functions
int | dvb_sat_search_lnb (const char *name)
| search for a LNBf entry
int | dvb_print_lnb (int index)
| prints the contents of a LNBf entry at STDOUT.
void | dvb_print_all_lnb (void)
| Prints all LNBf entries at STDOUT.
const struct dvb_sat_lnb * | dvb_sat_get_lnb (int index)
| gets a LNBf entry at its internal database
const char * | dvb_sat_get_lnb_name (int index)
| gets a LNBf entry at its internal database
int | dvb_sat_set_parms (struct dvb_v5_fe_parms *parms)
| sets the satellite parameters
int | dvb_sat_real_freq (struct dvb_v5_fe_parms *p, int freq)
| return the real satellite frequency

## Detailed Description

## Enumeration Type Documentation

## ◆ dvb_sat_polarization

enum dvb_sat_polarization

Polarization types for Satellite systems.

Parameters

  POLARIZATION_OFF | Polarization disabled/unused.
  POLARIZATION_H | Horizontal polarization
  POLARIZATION_V | Vertical polarization
  POLARIZATION_L | Left circular polarization (C-band)
  POLARIZATION_R | Right circular polarization (C-band)

Enumerator
POLARIZATION_OFF |
POLARIZATION_H |
POLARIZATION_V |
POLARIZATION_L |
POLARIZATION_R |

Definition at line 138 of file dvb-v5-std.h.

## Function Documentation

## ◆ dvb_print_all_lnb()

void dvb_print_all_lnb | ( | void |  | ) |

Prints all LNBf entries at STDOUT.

This function doesn't return anything. Internally, it calls dvb_print_lnb() for all entries inside its LNBf database.

Examples
  dvbv5-scan.c, and dvbv5-zap.c.

## ◆ dvb_print_lnb()

int dvb_print_lnb | ( | int | index | ) |

prints the contents of a LNBf entry at STDOUT.

Parameters

  index | index for the entry

Returns
  returns -1 if the index is out of range, zero otherwise.

Examples
  dvbv5-scan.c, and dvbv5-zap.c.

## ◆ dvb_sat_get_lnb()

const struct dvb_sat_lnb * dvb_sat_get_lnb | ( | int | index | ) |

gets a LNBf entry at its internal database

Parameters

  index | index for the entry.

Returns
  returns NULL if not found, of a struct dvb_sat_lnb pointer otherwise.

NOTE: none of the strings are i18n translated. In order to get the translated name, you should use dvb_sat_get_lnb_name()

Examples
  dvbv5-scan.c, and dvbv5-zap.c.

## ◆ dvb_sat_get_lnb_name()

const char * dvb_sat_get_lnb_name | ( | int | index | ) |

gets a LNBf entry at its internal database

Parameters

  index | index for the entry.

Returns
  returns NULL if not found, of the name of a LNBf, translated to the user language, if translation is available.

## ◆ dvb_sat_real_freq()

int dvb_sat_real_freq | ( | struct dvb_v5_fe_parms * | p,
|  | int | freq )

return the real satellite frequency

Parameters

  p | struct dvb_v5_fe_parms pointer.
  freq | the DTV frequency.

This function is called internally by the library to get the satellite frequency, considering the LO frequency.

Returns
  frequency.

## ◆ dvb_sat_search_lnb()

int dvb_sat_search_lnb | ( | const char * | name | ) |

search for a LNBf entry

Parameters

  name | name of the LNBf entry to seek.

On sucess, it returns a non-negative number with corresponds to the LNBf entry inside the LNBf structure at dvb-sat.c.

Returns
  A -1 return code indicates that the LNBf was not found.

Examples
  dvbv5-scan.c, and dvbv5-zap.c.

## ◆ dvb_sat_set_parms()

int dvb_sat_set_parms | ( | struct dvb_v5_fe_parms * | parms | ) |

sets the satellite parameters

Parameters

  parms | struct dvb_v5_fe_parms pointer.

This function is called internally by the library to set the LNBf parameters, if the dvb_v5_fe_parms::lnb field is filled.

Returns
  0 on success.